Subject: Re: makefile that doesn't work
From: "Marco van de Voort" <[email-masked]>
To: Tadeusz Liszka <[email-masked]>
Cc: [email-masked]
Date: Fri, 23 Feb 2001 22:34:26 +0100

> I modified your makefile to print some intermediate results. See below for
> the comments on how the makefile works. To find the problem type:
> 	which pwd
> or
> 	which pwd.exe
> in the bash shell (or find it manually if this fails).
> 
> My guess is that the $PATH variable is not correct (I recall that on
> Windows it may have Path PATH and path and it somehow concatenates them
> together

(we already found a workaround). The problem is the different path 
separator (';' vs':')  in the path env.
 
> However for me this single line works and does the same as all your lines
> BASEDIR1 := $(shell pwd)
> 
> Your code goes long way around to have the same result, and obviously it
> fails in some situations.

> If you do not know much about make :-) then make sure that the lines with
> 'echo' start with TAB, not space

:-) I'm not that bad.
  
Thanks. This looks cleaner than the solution one of our members 
came up with, and we'll start some testing on the different targets to 
see what is best.

Marco van de Voort ([email-masked] or [email-masked])

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple